parameters:
    baseFileEntityPath: '%env(BASE_FILE_ENTITY_PATH)%'
    analyticsHost: '%env(ANALYTICS_HOST)%'
    slowStoragePath: '%env(SLOW_STORAGE_PATH)%'

services:
    _defaults:
        autowire: true
        autoconfigure: true
        bind:
            $baseFileEntityPath: "%kernel.project_dir%/%baseFileEntityPath%"
            $analyticsHost: "%analyticsHost%"
            $slowStoragePath: "%kernel.project_dir%/%slowStoragePath%"

    App\:
        resource: '../src'


    App\Infrastructure\:
        resource: '../src/Infrastructure/*'
        exclude:
            - '../src/Infrastructure/{Kernel.php}'
            - '../src/Infrastructure/Client/DTO/*'

    App\Domain\:
        resource: '../src/Domain/*'

    App\Presentation\:
        resource: '../src/Presentation/*'

    App\Presentation\Controller\:
        resource: '../src/Presentation/Controller'
        tags: ['controller.service_arguments']
        exclude:
            - '../src/Presentation/Controller/{Request,Response}/*'

    App\Presentation\Command\:
        resource: '../src/Presentation/Command'
        tags: ['console.command']

    SocialTech\:
        resource: '../vendor/socialtechio/slow-storage-emulator/src/*'
